OUT_DIR=ipa
BASE_DIR=dotnet/src/BindingTestApp

rm -fR $OUT_DIR

echo "********************************************* MJFStep: Deleting obj directories  *********************************************"
for dir in `find $BASE_DIR -type d -name "obj"`
do
        echo "Deleting $dir"
        rm -fR $dir
done

echo "********************************************* MJFStep: Deleting bin directories  *********************************************"
for dir in `find $BASE_DIR -type d -name "bin"`
do
        echo "Deleting $dir"
        rm -fR $dir
done

echo "********************************************* MJFStep: Clean  *********************************************"
dotnet clean $BASE_DIR/BindingTestApp.sln

echo "********************************************* MJFStep: Restoring *********************************************"
dotnet restore $BASE_DIR/BindingTestApp.sln --force --no-cache --ignore-failed-sources --runtime ios-arm64 --configfile ~/.nuget/NuGet/NuGet.Config --verbosity Detailed

echo "********************************************* MJFStep: Building and Publishing  *********************************************"
#dotnet publish $BASE_DIR/BindingTestApp/BindingTestApp.csproj -f net8.0-ios -c Release  -p:ArchiveOnBuild=true -p:RuntimeIdentifier=ios-arm64 -p:CodesignKey="Apple Development: Michael Faltys (39QSW82NKF)" --no-restore --output $OUT_DIR --verbosity Detailed
dotnet publish $BASE_DIR/BindingTestApp/BindingTestApp.csproj -f net8.0-ios -r ios-arm64 -c Release  -p:ArchiveOnBuild=true -p:CodesignKey="Apple Development: Michael Faltys (39QSW82NKF)" --no-restore --output $OUT_DIR --verbosity Detailed
