BASE_VERSION=`head -1 nuget.version`

echo "BASE_VERSION: $BASE_VERSION"
if [[ -z ${BASE_VERSION} ]]; then
{
        echo "Unable to find base version for nuget packages.  Create a file named nuget.version and put the version on the first line."
        exit
}
fi

MAJOR=`echo $BASE_VERSION | cut -d "." -f 1`
MINOR=`echo $BASE_VERSION | cut -d "." -f 2`
RELEASE=`echo $BASE_VERSION | cut -d "." -f 3`
BUILD=`echo $BASE_VERSION | cut -d "." -f 4`

if [[ -z ${MAJOR} || -z ${MINOR} || -z ${RELEASE} || -z ${BUILD} ]]; then
{
        echo "Version found in nuget.version is incorrect format.  It should be in the format w.x.y.z"
        exit
}
fi

NEW_BUILD=$(($BUILD + 1))

NEW_VERSION="$MAJOR.$MINOR.$RELEASE.$NEW_BUILD"

echo $NEW_VERSION > nuget.version
cat nuget.version


BASE_DIR=dotnet/src/BindingLibs
OUT_DIR=output

rm -fR $OUT_DIR

rm -fR $$BASE_DIR/ObjcTestFramework/bin
rm -fR $$BASE_DIR/ObjcTestFramework/obj

dotnet clean $BASE_DIR/ObjcTestFramework/ObjcTestFramework.csproj
dotnet pack $BASE_DIR/ObjcTestFramework/ObjcTestFramework.csproj --verbosity Normal -c Release --no-restore --include-symbols --output $OUT_DIR -property:version=$NEW_VERSION --runtime ios-arm64

cp $OUT_DIR/*.nupkg ~/NugetLocal
