﻿using Microsoft.Extensions.Logging;
using Microsoft.Maui.Controls.Hosting;
using Microsoft.Maui.Hosting;
using SharedLib;

namespace BindingTestApp;

public static class MauiProgram
{
    public static MauiApp CreateMauiApp(ITestClass testClass)
    {
        var builder = MauiApp.CreateBuilder();
        builder
            .UseMauiApp(_ => new App(testClass))
            .ConfigureFonts(fonts =>
            {
                fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
                fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
            });

#if DEBUG
        builder.Logging.AddDebug();
#endif

        return builder.Build();
    }
}